Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Task Management

Get
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}
https://api.relesysapp.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}
Get the task with ID taskId in a module with ID moduleId.

All types of tasks can be queried with this endpoint: standalone tasks, recurrence containers as well as individual tasks in a recurring series.
These types can be differentiated by the following properties:
  • Recurrence container - has recurrence property
  • Recurrence task - has parentIssueToken property
  • Standalone task - does not have recurrence or parentIssueToken properties
recurrence is based on iCalendar RFC 5545 standard and defines how the system creates a list of tasks in a series.

There are the following assignee types:
  • Everyone - all users that have access to the task are required to complete it.
    NOTE: assigneeIds property is not populated in such scenario.
  • ByDepartmentType - at least one user per department type is required, with hierarchical departments included if they exist. assignedDepartmentType property is populated and assigneeIds property is not populated in such cases.
  • SelectedUsers_AtLeastOne - at least one user listed in assigneeIds is required to complete the task.
  • SelectedUsers_RequireAll - all users listed in assigneeIds are required to complete the task.
For more information on permissions and recurrence rules visit their respective concept pages.
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The tasks's unique identifier required
Responses
application/json
JSON
{"data":{"id":"a571caad-2052-4aa2-9a23-92bf55cd6eb6","name":"Internal name","recurrence":"FREQ=DAILY;DTSTART=20251010T130000;INTERVAL=1;COUNT=2","parentId":null,"priority":false,"locales":[{"culture":"en-GB","title":"Title 1","summary":"Summary 1"},{"culture":"da-DK","title":"Title 2","summary":"Summary 2"}],"categoryIds":["da460e6b-0374-4be0-991a-6126ce41c173","b6110162-c81d-4855-bd99-91d2165100a3"],"availableFrom":"2025-10-10T13:00:00","availableFromTimeZone":"FLE Standard Time","availableUntil":"2025-10-10T14:00:00","availableUntilTimeZone":"FLE Standard Time","subtaskIds":["abee44b8-7b8e-4dec-9a14-9ffe6ad8d906","3d086a6b-b292-4e72-abb6-13dccc3c7ddb"],"serviceFormId":null,"medias":[{"id":"ef0f1ff7-78a0-4d37-908d-21c04f39a495","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"FileName.png"},{"id":"9fc07620-5085-4a86-b588-38e97d74c1f8","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"FileName.png"}],"permissions":[{"departments":[{"url":null,"name":"Department 1","id":"24f17d96-d748-4bb7-b7ab-32c85570e620"},{"url":null,"name":"Department 2","id":"a19c5ace-3b94-4ed5-b10b-cc3ec5ae9f13"}],"userGroups":[{"url":null,"name":"User group 1","id":"b48c8512-0c02-4b01-a0f5-5b706acc093c"},{"url":null,"name":"User group 2","id":"e4b76337-b572-445e-81fe-8750ce29f15c"}],"requireAllUserGroups":false}],"status":"Published","assigneeType":"SelectedUsers_AtLeastOne","assigneeIds":["63689df6-5f2f-473a-8a07-69e4b959a523","2ae45503-fb67-499b-a295-02f9b253eaa8"],"assignedDepartmentType":null,"notifyManagerOfDepartmentType":"Country","reminderDueSoonIntervalInDays":1,"reminderIntervalInDays":null,"lockByAvailableFrom":false,"lockByAvailableUntil":true,"hideAuthor":false,"disableComments":false,"isUnsynchronizedWithParent":null,"creationDateTime":"2025-10-09T13:00:00+00:00","lastModifiedDateTime":null}}
object
  ⯈ data object      
   assignedDepartmentType string      
   assigneeIds array[string / guid]      
   assigneeType string      
   availableFrom string      
   availableFromTimeZone string      
   availableUntil string      
   availableUntilTimeZone string      
   categoryIds array[string / guid]      
   creationDateTime datetimeoffset      
   disableComments boolean      
   hideAuthor boolean      
   id string / guid      
   isUnsynchronizedWithParent boolean      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    summary string      
    title string      
   lockByAvailableFrom boolean      
   lockByAvailableUntil boolean      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   name string      
   notifyManagerOfDepartmentType string      
   parentId string / guid      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   priority boolean      
   recurrence string      
   reminderDueSoonIntervalInDays integer      
   reminderIntervalInDays integer      
   serviceFormId string / guid      
   status string      
   subtaskIds array[string / guid]